"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StandardWithStartAdornment = exports.StandardWithError = exports.Standard = exports.SecondaryWithStartAdornment = exports.SecondaryWithError = exports.SecondarySmall = exports.SecondaryLarge = exports.Secondary = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _LazyImage = _interopRequireDefault(require("../LazyImage"));

var _Dropdown = _interopRequireDefault(require("./Dropdown"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Data
var optionsStandard = [{
  value: 'Ejecutivo',
  label: 'Ejecutivo'
}, {
  value: 'Administración',
  label: 'Administración'
}, {
  value: 'Ingeniería',
  label: 'Ingeniería'
}, {
  value: 'Oficial',
  label: 'Oficial, operario y artesano'
}, {
  value: 'Ocupacion',
  label: 'Ocupacion militar'
}];
var optionsSecondaryStartAdornment = [{
  value: 'usd',
  label: 'USD',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-buy.png",
    alt: "icon buy"
  })
}, {
  value: 'btc',
  label: 'BTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-sell.png",
    alt: "icon sell"
  })
}, {
  value: 'ltc',
  label: 'LTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-send.png",
    alt: "icon send"
  })
}, {
  value: 'eth',
  label: 'ETH',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-receive.png",
    alt: "icon receive"
  })
}];
var optionsSecondarySmall = [{
  value: '0',
  label: 'Active'
}, {
  value: '1',
  label: 'Default'
}, {
  value: '2',
  label: 'Hover'
}];
var _default = {
  title: 'Tauros-web-ui/Atoms/Dropdown',
  component: _Dropdown.default
};
exports.default = _default;

var DropdownComponent = function DropdownComponent(_ref) {
  var value = _ref.value,
      args = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput
  }));
};
/* Standard */


var Standard = DropdownComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  value: '',
  placeholder: 'Elije una moneda',
  options: optionsStandard
};
var StandardWithError = DropdownComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  value: '',
  label: 'Ocupación',
  options: optionsStandard,
  error: true,
  helperText: 'Dropdown Text Error'
};
var StandardWithStartAdornment = DropdownComponent.bind({});
exports.StandardWithStartAdornment = StandardWithStartAdornment;
StandardWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
/* Secondary */

var Secondary = DropdownComponent.bind({});
exports.Secondary = Secondary;
Secondary.args = {
  value: '',
  options: optionsStandard,
  variant: 'outlined',
  placeholder: 'Ocupación'
};
var SecondaryWithError = DropdownComponent.bind({});
exports.SecondaryWithError = SecondaryWithError;
SecondaryWithError.args = {
  value: '',
  options: optionsStandard,
  variant: 'outlined',
  placeholder: 'Ocupación',
  error: true
};
var SecondaryWithStartAdornment = DropdownComponent.bind({});
exports.SecondaryWithStartAdornment = SecondaryWithStartAdornment;
SecondaryWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  variant: 'outlined',
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
var SecondarySmall = DropdownComponent.bind({});
exports.SecondarySmall = SecondarySmall;
SecondarySmall.args = {
  value: '',
  options: optionsSecondarySmall,
  variant: 'outlined',
  placeholder: 'Default',
  size: 'small'
};
var SecondaryLarge = DropdownComponent.bind({});
exports.SecondaryLarge = SecondaryLarge;
SecondaryLarge.args = {
  value: '',
  options: optionsSecondarySmall,
  variant: 'outlined',
  placeholder: 'Default',
  size: 'large'
};