"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      transitions = _ref.transitions;
  return {
    switchError: {
      color: "".concat(palette.error.main, " !important")
    },
    trackError: {
      backgroundColor: "".concat(palette.error.main, " !important")
    },
    // ios styles
    rootIOS: {
      width: 36,
      height: 20,
      padding: 0
    },
    switchBaseIOS: {
      padding: 1,
      color: 'rgba(255, 255, 255, 0.5)',
      background: 'unset !important',
      bottom: 0,
      left: 1.5
    },
    switchBaseIOSDark: {
      padding: 1,
      color: 'rgba(255, 255, 255, 0.5)',
      background: 'unset !important',
      bottom: 0,
      left: 1.5,
      '&.Mui-checked': {
        color: 'rgba(255, 255, 255, 1) !important'
      },
      '&.Mui-checked + .MuiSwitch-track': {
        backgroundColor: "#0D131A !important",
        opacity: '1 !important'
      }
    },
    thumbIOS: {
      width: 16,
      height: 16
    },
    trackIOS: {
      borderRadius: 16,
      backgroundColor: palette.type === 'light' ? '#000' : "".concat(palette.background.paper, " !important"),
      opacity: palette.type === 'light' ? '0.09 !important' : '1 !important',
      transition: transitions.create(['background-color', 'border'])
    },
    checkedIOS: {
      transform: 'translateX(14.5px) !important',
      color: "".concat(palette.primary.main, " !important")
    },
    focusVisibleIOS: {}
  };
});

exports.default = _default;