"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    root: {
      width: '100%'
    },
    tabsHead: {
      backgroundColor: palette.type === 'light' ? '#F7F9FB' : '#8696A8',
      width: '100%',
      minHeight: 44
    },
    tabHeadNormal: {
      borderTopWidth: 1,
      borderTopLeftRadius: 5,
      borderTopRightRadius: 5,
      borderTop: '1px solid #DCDEE3'
    },
    tabsHeadTiny: {
      minHeight: 20
    },
    tabsHeadSmall: {
      minHeight: 34
    },
    tabsHeadLarge: {
      minHeight: 64
    },
    tabsContent: {
      backgroundColor: '#F7F9FB',
      width: '100%'
    },
    tab: {
      background: '#FFFFFF',
      minHeight: 40,
      color: '#8696A8',
      borderLeft: '1px solid #DCDEE3',
      borderRight: '1px solid #DCDEE3',
      borderBottom: '1px solid #DCDEE3'
    },
    tabLast: {
      borderLeft: 'unset'
    },
    tabFisrt: {
      borderRight: 'unset'
    },
    tabActive: {
      backgroundColor: '#F7F9FB',
      boxShadow: 'unset',
      color: '#070707 !important',
      borderBottom: 'unset'
    },
    tabTiny: {
      minHeight: 16
    },
    tabSmall: {
      minHeight: 30
    },
    tabLarge: {
      minHeight: 60
    },
    indicator: {
      top: 0
    },
    circle: {
      borderRadius: 27,
      display: 'flex',
      alignItems: 'center',
      borderTop: 'unset'
    },
    circleContent: {
      backgroundColor: 'transparent'
    },
    circleIndicator: {
      backgroundColor: 'transparent'
    },
    circleTab: {
      borderRadius: '25px',
      fontSize: 14,
      lineHeight: '16px',
      textAlign: 'center',
      letterSpacing: '0.273px',
      textTransform: 'capitalize',
      color: palette.text.primary
    },
    circleTabTiny: {
      fontSize: 12
    },
    circleTabActive: {
      background: '#FFFFFF',
      boxShadow: '0px 0px 15px rgba(0, 0, 0, 0.12)',
      margin: '2px 2px',
      color: '#1F1F1F !important'
    }
  };
});

exports.default = _default;