"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _core = require("@material-ui/core");

var _useGoogleReCaptchaV3 = _interopRequireDefault(require("./useGoogleReCaptchaV3"));

var _jsxRuntime = require("react/jsx-runtime");

/* eslint-disable no-unused-vars */
var Recaptcha = function Recaptcha() {
  return null;
};

var _default = {
  title: 'Tauros-web-ui/Hooks/useGoogleReCaptchaV3',
  component: Recaptcha,
  args: {},
  argTypes: {}
};
exports.default = _default;
var RECAPTCHA_KEY = '6LfFELMUAAAAAF95IQuu_8GmzjKSRgvZfnqaCU0a';

var SuggestComponent = function SuggestComponent(args) {
  var _useState = (0, _react.useState)(''),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      token = _useState2[0],
      setToken = _useState2[1]; // Start


  var _useGoogleReCaptchaV = (0, _useGoogleReCaptchaV3.default)({
    siteKey: RECAPTCHA_KEY,
    loadOnStart: true,
    action: 'LoadReCaptchaOnStart'
  }),
      reCaptchaResponseToken = _useGoogleReCaptchaV.reCaptchaResponseToken; // Click


  var _useGoogleReCaptchaV2 = (0, _useGoogleReCaptchaV3.default)({
    siteKey: RECAPTCHA_KEY
  }),
      executeReCaptcha = _useGoogleReCaptchaV2.executeReCaptcha;

  var onButtonResetClickHandler = function onButtonResetClickHandler() {
    setToken('');
  };

  var onButtonClickHandler = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2.default)( /*#__PURE__*/_regenerator.default.mark(function _callee() {
      var _token;

      return _regenerator.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.prev = 0;
              _context.next = 3;
              return executeReCaptcha('LoadReCaptchaOnClick');

            case 3:
              _token = _context.sent;
              setToken(_token);
              _context.next = 10;
              break;

            case 7:
              _context.prev = 7;
              _context.t0 = _context["catch"](0);
              console.warn(_context.t0);

            case 10:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[0, 7]]);
    }));

    return function onButtonClickHandler() {
      return _ref.apply(this, arguments);
    };
  }();

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("h1", {
      children: "ReCaptcha load on start"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("p", {
      children: reCaptchaResponseToken ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
        children: reCaptchaResponseToken
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
        children: "Loading..."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("h1", {
      children: "ReCaptcha load on button click"
    }), token && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        children: token
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Button, {
          onClick: onButtonResetClickHandler,
          children: "Reset"
        })
      })]
    }), !token && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
        onClick: onButtonClickHandler,
        children: "Load Google ReCaptcha V3 token"
      })
    })]
  });
};

var Default = SuggestComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['setValue', 'inputRef']
  }
};
Default.args = {};