export declare const alerts: {
    success: {
        main: string;
    };
    error: {
        main: string;
    };
    info: {
        main: string;
    };
    warning: {
        main: string;
    };
};
export declare const typography: {
    htmlFontSize: number;
    fontFamily: string;
    fontSize: number;
    fontWeightLight: number;
    fontWeightRegular: number;
    fontWeightMedium: number;
    fontWeightBold: number;
    h1: {
        fontFamily: string;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    h2: {
        fontFamily: string;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    h3: {
        fontFamily: string;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: number;
        letterSpacing: number;
    };
    h4: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    h5: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    h6: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    button: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    caption: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        fontStretch: string;
        fontStyle: string;
        lineHeight: string;
        letterSpacing: string;
    };
    overline: {
        fontFamily: string;
        fontWeight: number;
        fontSize: string;
        lineHeight: number;
        letterSpacing: string;
    };
};
export declare const zIndex: {
    mobileStepper: number;
    speedDial: number;
    appBar: number;
    drawer: number;
    modal: number;
    snackbar: number;
    tooltip: number;
};
