"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _theme = require("../../../theme");

var _default = (0, _core.makeStyles)(function () {
  return {
    container: {
      width: '100vw',
      height: '100vh',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      zIndex: 1500000000,
      position: 'fixed'
    },
    containerModal: {
      width: '100%',
      height: '100%',
      top: 0,
      left: 0,
      position: 'absolute'
    },
    dark: {
      backgroundColor: _theme.dark.palette.background.default
    },
    light: {
      backgroundColor: _theme.light.palette.background.default
    }
  };
});

exports.default = _default;